Subject: Bug#884: [X2Go-Dev] Bug#884: Bug#884: nxagent aborts session with 'Could not open default font 'fixed''

From: devsk <[email-masked]>
Date: Fri, 5 Jun 2015 01:22:17 +0000 (UTC)

> Definitely working for me and others.

One of the strange things about my setup is that its /usr is read-only (like on a livecd). That's the only thing I know is different from a regular gentoo system. Do you think that's something that might cause issues?

Technically, nothing should be writing to /usr.

The setup is basically booting a squashfs image (same image boots on 10 different desktops and laptops I have) just like a Gentoo livecd and has writable folders in / (tmpfs) for everything except /usr, /bin, /sbin, /lib64, /lib32. Their /home is on a local disk on ZFS (mostly) or ext4. This is done mostly to avoid maintaining 10 different systems. I create a new image once in a while, these systems pull it and it gets picked up on their next reboot. Many of these systems haven't booted in quite some time. As long as I don't need an update (a new package I can't live without or fixes for known exploits), they keep going.

Does this ring any bells with respect to this issue?

I think I agree with the conclusion that 'fixed' font thingy is a red-herring.

-devsk